#!/usr/bin/perl
# commview.cgi
# Change a post, including colateral data

use warnings ;
use strict ;
use DB_File ;

require "session.pl";

## DECLARATIONS
our $dbdir;
require "../conf.pl"; #get $dbdir value from ../conf.pl
$dbdir = "../".$dbdir; #fix $dbdir

my $id ;

# test $ENV{'QUERY_STRING'}
if( length($ENV{'QUERY_STRING'})!=21 || index($ENV{'QUERY_STRING'},"id")!=0 ) { print "Content-type: text/html; charset=utf-8\n\n<html><body><p>Error0, with input data: ".index($ENV{'QUERY_STRING'},"borrar")."</p></body></html>"; exit 0;}
my ($name, $value) = split(/=/,$ENV{'QUERY_STRING'} );
if($name ne "id") { print "Content-type: text/html; charset=utf-8\n\n<html><body><p>Error1, with input data: ".index($ENV{'QUERY_STRING'},"borrar")."</p></body></html>"; exit 0;}
$id=$value;

## OPENING DATABASES

sub Compare { my ($key1,$key2)=@_; "\L$key2" cmp "\L$key1"; } # getting first the last post
$DB_BTREE->{'compare'} = \&Compare ; # specify the Perl sub that will do the comparison

my %titles ; # to handle titles DB
tie %titles, "DB_File", $dbdir."habla_titles.db", O_RDWR|O_CREAT, 0666, $DB_BTREE # opendb, if it does not exist create
	or die "Cannot open file 'titles': $!\n" ; # error :(

$DB_BTREE->{'flags'} = R_DUP ; # permit duplication in next DB's

my ($comments, %comments) ; # to handle COMMENTS DB
$comments = tie %comments, "DB_File", $dbdir."habla_comments.db", O_RDWR|O_CREAT, 0666, $DB_BTREE # opendb, if it does not exist create
	or die "Cannot open file 'comments': $!\n" ; # error :(


### CREATING HTML  # http server head
print "Content-type: text/html; charset=utf-8\n\n
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n
<html><head>\n<title>Habla_</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
<meta name=\"Name\" content=\"Content\">
<style type=\"text/css\">
body { color: purple; background-color: #dd3; }
h1 { font-size: 1.6em; padding: 0; margin: 0;}
h2 { font-size: 1.2em; padding: 0; margin: 0;}
h3 { font-size: 0.7em; padding: 0; margin: 0;}
#wrapper { margin-left: 13%; margin-right: 7%; }
#main { width: 60%; float: left; position: relative; }
.texto {font-size: 85%;}
.article { width: 100%; padding: 15px 0 40px 0; }
.article h2 { border-bottom: 1px solid #ccc; }
.article div a { color: #a14732; text-decoration: none; border-bottom: 1px dashed; }
.article ul { padding: 0; list-style: none; font-size: 0.8em;}
.article ul li { width: 80%; float: right; text-align: right; }
#sidebar { float: left; clear: none; position: relative; width: 30%; padding: 0 0 0 5%; font-size: 0.8em; }
#sidebar h2 { color: #777; padding: 34px 0 17px 0; margin-bottom: 10px; border-bottom: 1px solid #ccc; }
#sidebar ul { list-style: none ; padding: 0; margin: 0; }
#sidebar a { color: #c66; text-decoration: none; font-weight: bold; }
.comment {border: 1px solid #09c; padding:6px; font-size: 85%; margin: 9px 0}
</style>
</head>\n
<body>\n<div id=\"wrapper\">Go to <a href=\"panel_manage.cgi\">Panel</a><br/><br/>\n\n<div id=\"main\">\n";

# SHOW TITLE
print "<div class=\"article\"><h2>".$titles{$id}."</h2>\n";

# SHOW COMMENTS
my $i = 0;
my @list = sort $comments->get_dup($id) ; # get a sort list of comments for actual post. Last one in the botton.
foreach (@list){
	my ($first, $second, $third) = split(/<!---->/, $_);
	print "<div class=\"comment\" ><p><b>".$second."</b></p><p>".$third."</p>
	<p><form name=\"".$id."\" action=\"commdel.cgi\" method=\"GET\" /><input type=\"checkbox\" name=\"id\" value=\"".$id."\" /><input type=\"submit\" value=\"delete\" /><input type=\"hidden\" name=\"num\" value=\"".$i."\" /></form></p>
	</div><!-- end of .comment -->\n";
	$i++;
}
print "</div> <!-- end of #main -->\n\n";

print "\n</div> <!-- end of wrapper -->\n</body></html>";

### CLOSING DATABASES

untie %titles ; #closing db's
undef $comments ; untie %comments ;

1;